<?php

/**
 * @file ReBuildTest.php
 *
 * Extends BuildTest class to test rebuilding success
 */

/**
 * @class ReBuildTest
 */
class ReBuildTest extends BuildTest {
  /**
   * Implements setUpBeforeClass()
   *
   * We want an existing build, which is then rebuilt, to be the pre-requisite
   * for our work below, so we can run granular tests
   */
  public static function setUpBeforeClass() {
    parent::setUpBeforeClass();

    // First build
    self::_instance_build(self::$alias_details['alias_name'], self::$alias_details['alias_dir']);
    // Then rebuild
    self::_instance_build(self::$alias_details['alias_name'], self::$alias_details['alias_dir'],
                          "--rebuild");
  }

  /**
   * Test: paths preserved
   */
  function testPathsPreserved() {
    _drush_instance_build_validate_paths($this->alias);
    foreach($this->alias["instance"]["paths"] as $path => $config) {
      if (file_exists("{$this->site_root}/$path")) {
        $this->assertFalse(!$config['preserve_on_rebuild'], "Path $path should not have been preserved by rebuild, but it's still there!");
      }
      else {
        $this->assertFalse($config['preserve_on_rebuild'], "Path $path should have been preserved by rebuild, but it was lost!");
      }
    }
  }
}
